Subject: Re: linux-next: manual merge of the drm-misc tree with the admgpu tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 14 Oct 2019 11:31:34 +1100

Hi all,

This is now a conflict between the amdgpu tree and the drm tree.

On Fri, 4 Oct 2019 11:10:22 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the drm-misc tree got a conflict in:
> 
>   drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm_mst_types.c
> 
> between commit:
> 
>   2f232cf29e03 ("drm/amdgpu/dm/mst: Don't create MST topology managers for eDP ports")
> 
> from the admgpu tree and commit:
> 
>   ae85b0df124f ("drm_dp_cec: add connector info support.")
> 
> from the drm-misc tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell
> 
> diff --cc drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm_mst_types.c
> index 3af2b429ff1b,5ec14efd4d8c..000000000000
> --- a/drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm_mst_types.c
> +++ b/drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm_mst_types.c
> @@@ -414,11 -416,7 +414,11 @@@ void amdgpu_dm_initialize_dp_connector(
>   
>   	drm_dp_aux_register(&aconnector->dm_dp_aux.aux);
>   	drm_dp_cec_register_connector(&aconnector->dm_dp_aux.aux,
> - 				      aconnector->base.name, dm->adev->dev);
> + 				      &aconnector->base);
>  +
>  +	if (aconnector->base.connector_type == DRM_MODE_CONNECTOR_eDP)
>  +		return;
>  +
>   	aconnector->mst_mgr.cbs = &dm_mst_cbs;
>   	drm_dp_mst_topology_mgr_init(
>   		&aconnector->mst_mgr,

-- 
Cheers,
Stephen Rothwell